$&openvista.gtmserver() listener accumulates zombie child processes

Bug #685098 reported by Jon Tai on 2010-12-04
6
This bug affects 1 person
Affects Status Importance Assigned to Milestone
OpenVista/GT.M Integration
Undecided
Unassigned

Bug Description

$&openvista.gtmserver() spawns a child process, which in turn spawns an orphaned grandchild to handle the actual connection. The direct child is supposed to die immediately, but sometimes it is left behind as a zombie process if the listener doesn't call waitpid() for some reason. These zombies collect over time if the listener process is a long-running one, such as the RPC broker. They appear in "ps auxf" output as follows:

800 23863 0.0 3.0 327684 239736 ? S Nov22 14:54 /opt/openvista/open/gtm/mumps -direct
800 31300 0.0 0.0 0 0 ? Z Nov22 0:00 \_ [mumps] <defunct>
800 19419 0.0 0.0 0 0 ? Z Nov22 0:00 \_ [mumps] <defunct>
800 17260 0.0 0.0 0 0 ? Z Nov23 0:00 \_ [mumps] <defunct>
800 15676 0.0 0.0 0 0 ? Z Nov23 0:00 \_ [mumps] <defunct>
800 17743 0.0 0.0 0 0 ? Z Nov23 0:00 \_ [mumps] <defunct>

Related branches

Jon Tai (jontai) on 2010-12-06
Changed in openvista-gtm-integration:
status: New → Fix Committed
Jon Tai (jontai) on 2010-12-07
Changed in openvista-gtm-integration:
milestone: none → 0.8.11
Jon Tai (jontai) on 2010-12-07
Changed in openvista-gtm-integration:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers